Subject: Ticket Assigned - Return Order number 9761223194
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 15 Dec 2019 21:03:38 +0000

Hi Fauzan Musalman,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return Order number 9761223194 Hello ,

I’m still not received my credit for order number 9761223194 You have
completed two weeks!!

Note that I ordered from  Splash after Max and i opened the dispute to
return the goods and I even received the credit , but what is this delay
with you!! What is this long process !! I can't imagine!!

And please do not tell me that you need days to do that, you know when you
can rush it and when it is delayed!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/317123